curl --request POST \
--url 'https://api.stateset.com/api/v1/shipping-zones' \
--header "Authorization: Bearer $STATESET_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"countries": [
"string"
],
"name": "Two-Person Tent",
"postal_codes": [
"94107"
],
"priority": 1,
"regions": [
"CA"
]
}'
{
"countries": [
"string"
],
"created_at": "2026-08-31T14:22:05Z",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"is_active": true,
"name": "Two-Person Tent",
"priority": 1
}
Create a zone
Create a zone
POST
/
api
/
v1
/
shipping-zones
curl --request POST \
--url 'https://api.stateset.com/api/v1/shipping-zones' \
--header "Authorization: Bearer $STATESET_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"countries": [
"string"
],
"name": "Two-Person Tent",
"postal_codes": [
"94107"
],
"priority": 1,
"regions": [
"CA"
]
}'
{
"countries": [
"string"
],
"created_at": "2026-08-31T14:22:05Z",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"is_active": true,
"name": "Two-Person Tent",
"priority": 1
}
Request body
CreateShippingZoneRequest
string[]
required
string
required
array,null
integer,null (int32)
array,null
Response
ShippingZoneResponse
string[]
required
string
required
string
required
boolean
required
string
required
integer (int32)
required
Status codes
| Code | Meaning |
|---|---|
201 | — |
400 | — |
curl --request POST \
--url 'https://api.stateset.com/api/v1/shipping-zones' \
--header "Authorization: Bearer $STATESET_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"countries": [
"string"
],
"name": "Two-Person Tent",
"postal_codes": [
"94107"
],
"priority": 1,
"regions": [
"CA"
]
}'
{
"countries": [
"string"
],
"created_at": "2026-08-31T14:22:05Z",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"is_active": true,
"name": "Two-Person Tent",
"priority": 1
}
Last modified on August 31, 2026